Reply – Re: Java3d 1.6.0-pre12 released: requires jogl 2.3.1
Your Name
Subject
Message
or Cancel
In Reply To
Re: Java3d 1.6.0-pre12 released: requires jogl 2.3.1
— by gouessej gouessej
I agree with Harvey. The architecture of Java3D was designed with multiple backends in mind but strongly connected to the AWT canvas. JoglDrawable uses a GLDrawable. In my humble opinion, it can't work as is.

Moreover, I thought that "we" wanted to keep Java3D public API unchanged. Some developers want to improve Java3D by adding some support of Maven (and maybe Gradle), it's nice to drive it more maintainable on the long term but if it hasn't already been done, we should make a decision about whether or not implementing new features into this scenegraph API (and it's not a secret that I'm particularly reluctant to do so but others are free to do so).
Julien Gouesse | Personal blog | Website